Summary:	Grip, a CD player and ripper/MP3-encoder front-end
Summary(ca.UTF-8):	Reproductor/extractor de CD d'audio
Summary(es.UTF-8):	Grip, interfaz para reproducir CDs y generar MP3s
Summary(fr.UTF-8):	Grip, un lecteur de CD, extracteur, et IHM pour encodeur MP3
Summary(ja.UTF-8):	CD プレーヤー/リッパ/MP3エンコーダ フロントエンド
Summary(pl.UTF-8):	Grip, odtwarzacz CD z frontendem do ripowania i kodowania MP3
Summary(pt_BR.UTF-8):	Grip, interface para reproduzir CDs e gerar MP3s
Summary(zh_CN.UTF-8):	Grip 是一个 CD 播放器、抓轨器和 MP3 编码器前端程序。
Summary(zh_HK.UTF-8):	Grip 是一個 CD 播放器、抓軌器和 MP3 編碼器前端程式。
Summary(zh_TW.UTF-8):	Grip 是一個 CD 播放器、抓軌器和 MP3 編碼器前端程式。
Name:		grip
Version:	4.2.4
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Sound
Source0:	https://downloads.sourceforge.net/grip/%{name}-%{version}.tar.gz
# Source0-md5:	02be3c2d23355b4829f9a77daf8f695d
URL:		https://www.nostatic.org/grip/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdparanoia-III-devel
BuildRequires:	curl-devel
BuildRequires:	id3lib-devel >= 3.7.13
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Suggests:	bladeenc
Suggests:	cdparanoia-III
Suggests:	flac
Suggests:	lame
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grip is a GTK+-based cd-player and front-end for cd-rippers and MP3
encoders. It allows you to rip entire tracks, or pinpoint a section of
a track to rip. The CDDB protocol is supported for
retreiving/submitting track information from/to disc database servers.

%description -l fr.UTF-8
Grip est un lecteur-extracteur de CD pour le Bureau GNome. Il a des
capacités d'extraction du type cdparanoia incluses, mais il peut
utiliser un extracteur externe (comme cdda2wav). Il fournis également
une IHM pour les encodeurs MP3, permettant simplement de prendre un
disque et de le transformer en MP3. La récupération des noms sur
Internet permet également d'avoir les informations sur les pistes
auprès des serveurs CDDB. Grip fonctionne également avec DigitalDJ
pour fournir une version unifiée informatique de votre discothèque.

%description -l es.UTF-8
Grip es una interfaz GTK+ para programas que copian bandas de CD como
cdparanoia y cdda2wav. Permite copiar bandas enteras, o solamente
algunas partes. También le permite llamar su codificador MP3 favorito.
Y también sirve como interfaz para tocar CDs.

%description -l pl.UTF-8
Grip jest odtwarzaczem kompaktów. Może być używany jako front-end do
programów ściągających ścieżki CD oraz kompresujących pliki dźwiękowe
do formatu MP3. Umożliwia ściąganie tak całych jak i wybranych części
utworu. Program ten wspiera protokół CDDB w celu ściągania/wysyłania
danych o kompakcie z/do umożliwiającego tego typu operacje serwera.

%description -l pt_BR.UTF-8
Grip é uma interface GTK+ para programas que copiam faixas de CD como
o cdparanoia e cdda2wav. Ele permite que você copie faixas inteiras,
ou apenas pedaços. Também permite que você chame seu codificador MP3
favorito. Finalmente, ele também serve como interface para tocar CDs.

%description -l zh_CN.UTF-8
Grip 是一个可以在 GNOME 桌面环境下运行的 CD 音乐播放器和抓轨器。它可以使用 内置的 cdparanoia 程序抓轨器
(将音轨存储为文件)，也可以使用外部的抓轨器 (例如: cdda2wav)。同时提供自动的 MP3 编码前端，还可以自动地从
Internet 上的 光盘数据库中查询光盘曲目。如果协同 DigitalDJ 程序一起工作，您可以创建自己的 “计算机化”的音乐库。

%description -l zh_HK.UTF-8
Grip 是一個可以在 GNOME 桌面環境下執行的 CD 音樂播放器和抓軌器。它可以使 用內置的 cdparanoia 程式抓軌器
(將音軌存為檔案)，也可以使用外部的抓軌器 (例如 cdda2wav)。同時提供自動的 MP3 編碼前端，還可以自動地從 Internet
上 的光碟資料庫中查詢光碟曲目。如果協同 DigitalDJ 程式一起工作，您可以建立 自己的「電腦化」的音樂庫。

%description -l zh_TW.UTF-8
Grip 是一個可以在 GNOME 桌面環境下執行的 CD 音樂播放器和抓軌器。它可以使 用內置的 cdparanoia 程式抓軌器
(將音軌存為檔案)，也可以使用外部的抓軌器 (例如 cdda2wav)。同時提供自動的 MP3 編碼前端，還可以自動地從 Internet
上 的光碟資料庫中查詢光碟曲目。如果協同 DigitalDJ 程式一起工作，您可以建立 自己的「電腦化」的音樂庫。

%post
%update_icon_cache hicolor
%update_desktop_database_post

%postun
%update_icon_cache hicolor
%update_desktop_database_postun

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_datadir}/apps/solid/actions/grip-audiocd.desktop

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README CREDITS TODO
%attr(755,root,root) %{_bindir}/grip
%{_desktopdir}/grip.desktop
%{_pixmapsdir}/*.png
%{_iconsdir}/hicolor/*x*/apps/grip.png
%{_iconsdir}/hicolor/scalable/apps/grip.svg
%{_mandir}/man1/grip.1*
%{_datadir}/solid/actions/grip-audiocd.desktop
%changelog
* Sun Jun 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grip.git;a=log;h=master

* Sun Jun 29 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6f0ed2a
- removing old patches

* Sun Jun 29 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3d1f071
- up to 4.2.4

* Fri Nov 09 2012 Elan Ruusamäe <glen@delfi.ee> 8fbf1e3
- release 9 (by relup.sh)

* Sat Jul 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6070ca4
- release 8

* Thu Jun 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 7330c50
- updated -desktop.patch
- release 7

* Thu Jun 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ba338e5
- updated

* Mon Feb 25 2008 Elan Ruusamäe <glen@pld-linux.org> 2189f36
- release 6

* Fri Feb 15 2008 Elan Ruusamäe <glen@pld-linux.org> 131773e
- release 5

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 5936b28
- outdated (I assume)

* Tue Dec 25 2007 Paweł Gołaszewski <blues@pld-linux.org> 43f2ab0
- suggests encoders and rippers

* Thu Oct 25 2007 ankry <ankry@pld-linux.org> 62f9a53
- locale/zh_HK is a separate dir now

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ce4f77
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6d7162f
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 99bc427
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Oct 13 2006 japhy <japhy@pld-linux.org> 977d6bb
- Rel up, STBR

* Sun Jun 18 2006 tiwek <tiwek@pld-linux.org> e3bc8b1
- change po patch
- rev 3
- STBR

* Sun Jun 18 2006 tiwek <tiwek@pld-linux.org> bc39673
- chnge polish desc

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 60a2b67
- orphaned, outdated

* Fri Oct 28 2005 ankry <ankry@pld-linux.org> 679d6e9
- Polish locale fix, rel. 2

* Sat Jul 30 2005 dzeus <dzeus@pld-linux.org> fefdcc0
- up to 3.3.1, STBR

